Module org.hsqldb
Package org.hsqldb.util

## Class DatabaseManager

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - org.hsqldb.util.DatabaseManager

- All Implemented Interfaces:
    `java.awt.event.ActionListener`, `java.awt.event.KeyListener`, `java.awt.event.WindowListener`, `java.awt.image.ImageObserver`, `java.awt.MenuContainer`, `java.io.Serializable`, `java.util.EventListener`, `javax.accessibility.Accessible`

      public class DatabaseManager
      extends java.awt.Panel
      implements java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.event.KeyListener

  AWT Tool for manageing a JDBC database.

                   Usage: java DatabaseManagerSwing [--options]
                   where options include:
                    --driver <classname>  jdbc driver class
                    --url <name>          jdbc url
                    --user <name>         username used for connection
                    --password <password> password for this user
                    --urlid <urlid>       get connection info from RC file
                    --rcfile <file>       use instead of default (with urlid)
                    --dir <path>          default directory
                    --script <file>       reads from script file

  Originally in HypersonicSQL. Extended in various versions of HSQLDB.
  Since:
    Hypersonic SQL
  Author:
    Thomas Mueller (Hypersonic SQL Group)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatabaseManager()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(java.awt.event.ActionEvent ev)` |
    `void` | `connect​(java.sql.Connection c)` |
    `void` | `init()` |
    `void` | `keyPressed​(java.awt.event.KeyEvent k)` |
    `void` | `keyReleased​(java.awt.event.KeyEvent k)` |
    `void` | `keyTyped​(java.awt.event.KeyEvent k)` |
    `void` | `main()` |
    `static void` | `main​(java.lang.String[] arg)` | Run with --help switch for usage instructions.
    `static void` | `threadedDBM()` |
    `void` | `windowActivated​(java.awt.event.WindowEvent e)` |
    `void` | `windowClosed​(java.awt.event.WindowEvent e)` |
    `void` | `windowClosing​(java.awt.event.WindowEvent ev)` |
    `void` | `windowDeactivated​(java.awt.event.WindowEvent e)` |
    `void` | `windowDeiconified​(java.awt.event.WindowEvent e)` |
    `void` | `windowIconified​(java.awt.event.WindowEvent e)` |
    `void` | `windowOpened​(java.awt.event.WindowEvent e)` |

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseManager

          public DatabaseManager()

  - ### Method Detail

    - #### connect

          public void connect​(java.sql.Connection c)

    - #### init

          public void init()

    - #### threadedDBM

          public static void threadedDBM()

    - #### main

          public static void main​(java.lang.String[] arg)

      Run with --help switch for usage instructions.
      Parameters:
        `arg` - arguments
      Throws:
        `java.lang.IllegalArgumentException` - for the obvious reason

    - #### main

          public void main()

    - #### keyPressed

          public void keyPressed​(java.awt.event.KeyEvent k)

      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`

    - #### keyReleased

          public void keyReleased​(java.awt.event.KeyEvent k)

      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`

    - #### keyTyped

          public void keyTyped​(java.awt.event.KeyEvent k)

      Specified by:
        `keyTyped` in interface `java.awt.event.KeyListener`

    - #### actionPerformed

          public void actionPerformed​(java.awt.event.ActionEvent ev)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### windowActivated

          public void windowActivated​(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated​(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed​(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing​(java.awt.event.WindowEvent ev)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified​(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified​(java.awt.event.WindowEvent e)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowOpened

          public void windowOpened​(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`